# Задача: Как да вдигнем заплатите на българите?

или *"Системата ще си върви и ние ще си се оплакваме"*

Уважаеми читатели, 

Ако въобще мога да правя нещо в тоя живот, то може би, смея да твърдя, малко нескромно, че горе-долу съм се научил да мога да решавам технически проблеми. Колко още имам да уча, само аз си знам. Но ако трябва да избера нещо, в което съм окей, то може би е това - решаване, оптимизиране на задачи. Не винаги успявам и понякога много се затруднявам, но си има принципи и системи, които всеки като мен ползва. През годините се запознах със страхотни хора, които правят тези неща много по-добре от мен, превръщат това нещо в професия - решаване на проблеми, на задачи по физика, астрономия, химия, биология, медицина, на най-дълбоките проблеми, които човечеството е познавало. Много специфични проблеми, много учене трябва, за да се опиташ да ги решиш. И разбира се, политиката, икономиката, обществото са не по-малко сложни науки с не по-малко интересни проблеми и трябва голяма специализация, за да решиш основните проблеми.

А България има много интересни на пръв поглед проблеми. Бих искал да се пробвам, но... аз дори не знам Дадено и Търси се, не съм учил формули за решаване на подобни проблеми.

Но споделете за малко с мен една хипотеза. Ако повишаването на заплатите беше задача по физика или програмиране, ето как бих я започнал:

**Какво се Търси?** - (примерно) Мога ли да повиша заплатите?

**Какво е Даденото?** - Кои неща са обвързани със заплатите? Производителност, БВП, нещо друго…? Какви са икономическите показатели? Как се разпределя бюджета?

**Как ще се реши?** - Какви формули мога да използвам, какви политики? Как другите държави решават подобни проблеми? Откъде мога да взема пари - данъци, такси, заеми, други…?

Може би условието ще малко по-различно тук-там, докато проучвам проблема и го разбирам малко по-добре, и може би би ми отнело време, но систематично бих се опитал да видя какво може да се направи. И да изведа някакво решение. 

Но това не е моя работа. Като гражданин, моята работа е да избера човека, партията, която предлага решение на този проблем. Не, даже по-точно - моята работа е да избера най-доброто решение. Но как да избера решение, камо ли най-доброто решение, без дори да разбирам проблема?! Преди да избера партията, която ще ме представлява, би трябвало да погледна какви са техните решения. Мога ли да разбера техните решения? Не и преди да съм разбрал проблема!

Между другото, решение като “Ще спра корупцията” получава 0 точки на всяка олимпиада. В училище - Слаб 2. С коментар: “Неясно решение, не са показани всички стъпки”

**Чия работа е да ми обясни проблемите?**

Журналистиката/медиите? Може би. Справя ли се? За мен не.

Новините ми дават едни откъслечни проблеми, не целенасочени, а проблеми свързани с деня. Някой влак паднал днес - утре да се стегне железницата! Някой го е блъснала кола - утре да се увеличат глобите! Хаос и паника! Днес се събират 20 депутата, утре 53. Решават някакъв закон. Какво от това? Новините ми дават откъслечна, временна информация, която не трае повече от ден-два и след това новата новина идва и аз нямам Дадено и Търси се за дългосрочните проблеми.

Ако решавахме така проблемите с физиката, медицината и астрономията, така откъслечно, така не систематично, така произволно, никога нямаше да направим прогрес. Отдавна свършиха дните, когато хората по случайност намират нещо. Добре де, понякога се получава, но все по-рядко. Хората, които решават задачи се концентрират върху тези задачи с години, понякога десетилетия! 

Та, как избирам този човек или тази група от хора? Лъчезарната им усмивка? Мачовското изражение? Секси походката? “Не тия, че тия много крадат - по-скоро тия, че тия по-малко крадат”? Слухове? Демагогия? Лозунги? Да, това е един вариант.

Друг вариант е да бъда обучен да избирам.

**Чия работа е да бъда обучен да избирам?**

Училището? Може би. Справя ли се? Според мен не.

Ние нямаме гражданско образование, политика или дори (може да се спори) икономика. Кой е учил гражданско образование в училище? Кой е учил политика, освен история с всички битки, царе, векове и години, без изводи, само зубрене? Може би някъде учат история с изводи, на мен от четири училища, не се падна или аз не я разбрах. Както и да е. Откъде да намеря Дадено и Търси се? Интересува ли ме?

На всеки 2-4 години, независимо каква е моята професия, аз трябва да отида и да направя един избор. Избор, от който изглежда нищо не разбирам. Аз съм тясно специализиран, може би имам обща култура от новини, но не разбирам от истинските проблеми. 

**И така, какво мога да направя?**

Да се самообуча. Окей, ще изчета учебници по политическа теория, ще разбера обстановката в света, дори история ще хвърля в микса. И моят глас все ще си тежи толкова, колкото и преди, колкото и на всеки българин, обучен или необучен. И, не, не предлагам образователен ценз за изборите. То си има своите проблеми, най-малкият от които е, че разделението на класи никога не е било добра идея в историята. Но въпросът е - за какво да го правя? Нямам личен стимул да се опитам да разбера по-добре решението. Само колективно, ако всички го направим имам интерес, но самостоятелно - нямам. Класическа Теория на игрите. Затворническата дилема. Класическа задача - двама злодеятели, които са извършили едно престъпление са изолирани в килии. Следователите им казват, че ако натопят другия, те самите излизат. Ако и двамата обаче се натопят, двамата лежат дълго. Ако никой не натопи никого - двамата получават лека присъда. Естествено, злодеятелите са изолирани и няма как да комуникират помежду си. Ако можеха, щяха да си кажат никой не топи никого и получават лека присъда. Без да знаят обаче, без да имат комуникация, ситуацията е друга и двамата се прецакват. Потърсете в Гугъл, ако обяснението не ви харесва тук (The prisoner’s dilemma). Само че, за разлика от Затворническата дилема, където злодеятелите са изолирани, в една система като нашата, затворът може би е илюзорен. Затворът е затвор, ако реша, че нищо не мога да направя, освен да се вайкам. Или по-точно, ако всички приемем, че има затвор, затвор има.

Нашето общество успява да приеме, че парите струват нещо. Всички вярват в тях и затова работят. Парите, сами по себе си, не струват нищо (освен хартията може би) - те са илюзия. Нямат златно покритие или каквото и да е друго покритие. Парите (например левовете) работят, защото всички българи вярваме, че левовете работят. Ако и това ви е нова идея, потърсете [fiat money]. Но първоначално парите не са работели, хартийката не струва нищо и хората са слагали нещо зад нея, някаква себестойност. С други думи - на теория е възможно обществото да повярва в нещо като цяло, въпросът е как?

Такива въпроси ме мъчат от известно време. 

**Още малко рант**

Мисля, че е крайно време хората да спрат да мислят, че управлението на една държава не е за тях. Че материята е твърде сложна, комплексна и объркана и че само избран клан от не-хора, не-човеци, мега-интелигентни (или мега-прости) или извънземни ръководят държавата ни. Защото ти, на тяхно място, с тази система, би вършил същото! Дадено и Търси се не е достатъчно, ако нямаш мнозинство. 

Населението трябва да спре да мисли, че тези там са ужасни хора, мръсни хора, подли хора. Че тези хора нямат морал, нямат съвест и нямат грам желание да дърпат страната ни към нещо по-добро. Защо? Защото ако поставя който и да е от обществото утре, на тези позиции, най-светлите ни моралисти, чисти хора, най-добрите, честни и почтени, образовани и интелигентни, системата ще бъде същата. Системата ще ги смаже. И това, което хората ще видят е отново непочтени хора, опетнени, мръсни, ужасни хора. 

Тези хора не са изключителни егоисти, вродени социопати, лъжци, крадци, подлеци и измамници, които трябва да бъдат вкарани в затвора, измъчвани и изтезавани, застреляни, заедно с цялата им рода за престъпления, по-лоши от всяко друго престъпление съществуващо на Земята. Може би някои са такива, не ги познавам. Но разбирам, защото съм си мислел, че ако аз застана там, аз ще бъда същия и аз трябва да се самолинчувам.

Какво друго? Как би действал ти, уважаеми читателю? Какво би направил?

Не, какво би направил ти, какво? 

Не гледай надолу в поста, не мами, нали си свят, нали не си лъжец, подлец като тия горе? Хайде, какво би направил?

Аз не знам. Ако бях на тяхно място, не знам какво бих направил. Не мисля, че бих направил много. Не мисля, че бих могъл да не лъжа. Да не крада. Да не пренебрегна всички принципи, морални уроци от родители, учители и общество, и съвест. Не бих могъл, не мисля. Защото мислех много какво бих направил аз. Да, аз, господин Никой. Аз не съм политик. Не съм социолог. Или дори историк. Аз съм програмистче, защо аз трябва да разбирам от политика? Защо трябва да разбирам от икономика? Не може всеки да разбира от всичко! Аз разбирам малко от физика и малко повече от компютри. Не мога да науча всичко, а много искам! Но не мога! Трябва други хора. Аз не знам. Аз не мога! Не ме слагайте мене на власт, аз не знам!

И наистина не знам! А трябва ли? 

Защото едни хора, там горе, взимат едни решения, от които аз не разбирам. Аз едвам зацепвам география, къде е изток и запад, камо ли какви конфликти има и колко е сложна цялата тази сложна материя, икономическа обстановка, войни, конфликти, делегати. Че аз съм един обикновен господин Никой.

Ама че нали за това имаме разпределение на труда, разпределение на властите. Специализация. Нали за това някои хора разбират от тия неща, за да не трябва аз да разбирам, нали това е цялата идея на модерното ни общество - да разбираме от тясна специализация и да имаме доверие на хората, които ни оправят пералнята без да трябва да знаем как да си я оправим сами?

Но аз ще направя избор да отиде някой да ме представлява и да прави избори вместо мен. И поради това, че аз съм избрал най-силно викащия, аз нямам представа какви задачи ще бъдат решавани, още по-малко как ще бъдат решавани. Аз няма да имам почти никакво знание, още по-малко контрол, освен откъслечните прозрения през дупчиците светлина, с която медиите ме прожектират.

Защото аз не знам какво е комунизъм или социализъм. Звучат готино, но пък много крадели. Не знам какво е дясно и ляво - нещо за бизнеса и нещо за пенсиите. Ми, не знам ко ме интересува.

Ама ако не ме интересува, утре нямам право да се оплаквам. Когато направя избор, от който не разбирам, без да съм се информирал, аз съм играл тото. Като не съм спечелил, на крива ракета, Космосът и крив.

И ако цялото общество мисли така, най-лесното е за политиците да говорят гръмко, силно, да разлепват повече плакати от конкурентите и те ще спечелят. Закона на Който по-силно вика.

Хора, учени и не-учени, работници, предприемачи, пенсионери, бедни, богати и средна класа, ученици, висшисти, бели, черни, жълти, мъже, жени, гейове, лесбийки, търсещи се, осъзнати и неосъзнати…

## *Така няма да стане!*

Без значение от кои групи си от горните, ти трябва да направиш информиран избор и да следиш за изпълнението на нещата, които са ти обещали. Защото иначе...

Системата ще си върви, а ние ще се оплакваме. И системата ще си върви, и ние ще си се оплакваме. И системата ще си върви, и ние ще си се оплакваме. И системата ще си върви, и ние ще си се оплакваме….

И ние няма да разберем дясно от ляво, комунизъм от социализъм, анархизъм, фашизъм, капитализъм, плосък данък от прогресивен данък, данъци, такси, акцизи, винетки и саниране.

И системата ще си върви, а ние ще се оплакваме.

Без да знаем за какво сме отговорни сами за себе си, а за какво е отговорно правителството. „Те“. „Кой?“. 

И системата ще си върви, а ние ще се оплакваме.

Без да разбираме, без граждански контрол и без доверие в институциите и помежду ни - системата ще си върви…
